/*
 * 
 */
define(function(require) {
    var $ = require('jquery');
    var comm = require('asset/common');
    var user = comm.getUserInfo();

    var Slide = require('slide');
    var base = require('base');
    base.ajaxSetup($);

    var $header = $('#header');
    var countDownHandle;
    var render = require('render');
    var myRender = render({
        el: '#view',
        callback: function() {

        }
    });

    var getData = function(param) {
        if (!param) {
            param = 0;
        }
        $.ajax({
            url: seajs.host + '/api/newIndex/v1/seckilles',
            dataType: 'json',
            success: function(res) {
                if (res.status === 'Y') {
                    var rendData, startTime, endTime;
                    if (param === 0) {
                        $('#countDownTip').html('距离本场结束');
                        rendData = res.data[0].goodsList;
                        startTime = res.data[0].nowDate;
                        endTime = res.data[0].aSeckillModel.endTime;
                    } else {
                        $('#countDownTip').html('距离开始还有');
                        rendData = res.data[1].goodsList;
                        startTime = res.data[1].nowDate;
                        endTime = res.data[1].aSeckillModel.startTime;
                    }
                    if (countDownHandle) {
                        countDownHandle.update({
                            begin: startTime,
                            date: endTime
                        });
                    } else {
                        require.async('countdown', function() {
                            countDownHandle = $('#countDownTime').Countdown({
                                begin: startTime,
                                date: endTime,
                                render: function($this, date) {
                                    $this.html((date.days ? '<span class="_cell">' + date.days + '</span> 天 ' : '') +
                                        '<span class="_cell">' + date.hours + '</span> : ' +
                                        '<span class="_cell">' + date.min + '</span> : ' +
                                        '<span class="_cell">' + date.sec + '</span>');
                                }
                            });
                        });
                    }
                    var nextDataText = res.data[1].aSeckillModel.startTime.split(' ')[0];
                    nextDataText = nextDataText.split('-');
                    $('#nextDate').html(nextDataText[1] + '月' + nextDataText[2] + '日');
                    //计算折扣
                    $.each(rendData, function(i, goods){
                        goods.discount = Math.ceil(parseInt(goods.price*1000)/parseInt(goods.retailPrice*100)) || '?';
                    });
                    myRender.data({
                        data: rendData,
                        isNow: (param == 0)
                    });
                } else {
                    alert(res.msg || '数据异常');
                }
            }
        });
    };
    //初始加载
    getData();
    //事件
    $header.on('click', '.header_tab', function(){
        var msType = $(this).data('ms');
        $(this).addClass('cur').siblings().removeClass('cur');
        getData(msType);
    });


});